EBOOK-POLISH(1)

NAME
ebook-polish - ebook-polish

            ebook-polish [opcions] input_file [output_file]

El poliment de llibres consisteix a posar la cirereta al pastís de la perfecció als llibres que heu creat amb tanta cura.

En polir s'intenta minimitzar els canvis al codi intern del llibre. A diferència de la conversió no aplana el CSS, reanomena fitxers, canvia la mida de lletra, ajusta els marges... Cada acció fa els canvis mínims necessaris per a l'efecte desitjat.

Hauríeu d'utilitzar aquesta eina com al darrer pas del procés de creació del vostre llibre.

Tingueu en compte que el poliment de llibres només funciona en llibres en formats AZW3 o EPUB o KEPUB.

Sempre que passeu arguments a ebook-polish i aquests tinguin espais en blanc, delimiteu els arguments amb cometes. Per exemple: "/some path/with spaces"

[OPCIONS]

    --add-soft-hyphens, -H
        Afegeix guionets suaus a totes les paraules del llibre. Això permet renderitzar el llibre millor quan el text està justificat, en lectors que no donen suport a la partició de mots.

    --compress-images, -i
        Comprimeix sense pèrdua les imatges al llibre, per reduir-ne la mida, sense afectar la qualitat de la imatge.

    --cover, -c
        Camí a una imatge de portada. Canvia la portada especificada al llibre electrònic. Si no hi ha cap portada o no està identificada correctament, n'insereix una de nova.

    --download-external-resources, -d
        Download external resources such as images, stylesheets, etc. that point to URLs instead of files in the book. All such resources will be downloaded and added to the book so that the book no longer references any external resources.

    --embed-fonts, -e
        Incrusta totes les lletres referenciades al document que encara no estiguin incrustades. S'explorarà l'ordinador per cercar les lletres i, si es troben, s'incrustaran al document. Assegureu-vos que teniu la llicència adequada per a la incrustació de les lletres utilitzades en aquest document.

    --help, -h
        mostra aquest missatge d'ajuda i surt

    --jacket, -j
        Inserció d'una pàgina de «sobrecoberta» al començament del llibre que en contingui totes les metadades com el títol, etiquetes, autors, sèrie, comentaris, etc. Se substituirà qualsevol sobrecoberta anterior.

    --opf, -o
        Camí a un fitxer OPF. Les metadades del llibre s'actualitzen a partir del fitxer OPF.

    --remove-jacket
        Suprimeix una pàgina de sobrecoberta inserida prèviament.

    --remove-soft-hyphens
        Remove soft hyphens from all text in the book.

    --remove-unused-css, -u
        Remove all unused CSS rules from stylesheets and <style> tags. Some books created from production templates can have a large number of extra CSS rules that don't match any actual content. These extra rules can slow down readers that need to parse them all.

    --smarten-punctuation, -p
        Converteix els guions, els punts suspensius, les cometes, els guions múltiples... del text senzill als equivalents tipogràfics correctes. Tingueu en compte que l'algorisme pot generar algun cop resultats incorrectes, especialment quan hi ha cometes senzilles al començament de contraccions.

    --subset-fonts, -f
        Fer un subconjunt de lletres significa que es redueix una lletra incrustada perquè només contingui els caràcters utilitzats de la lletra al llibre. Això redueix molt la mida dels fitxers de les lletres (normalment redueix la mida del fitxer de la lletra a la meitat. Per exemple, si el llibre utilitza una lletra específica per als encapçalaments, si en fem un subconjunt, això reduirà la lletra perquè contingui els caràcters que hi ha als encapçalaments del llibre. O bé, si el llibre conté les versions en negreta i en cursiva d'una lletra però els textos en negreta o cursiva són poc freqüents o absents, les lletres en negreta o cursiva es poden reduir a només uns quants caràcters o es poden suprimir completament. L'únic inconvenient dels subconjunts de lletres és que si més tard decidiu afegir més text als llibres, el text que s'afegeixi podria no estar cobert pel subconjunt de la lletra.

    --upgrade-book, -U
        Upgrade the internal structures of the book, if possible. For instance, upgrades EPUB 2 books to EPUB 3 books.

    --verbose
        Dóna una sortida més detallada, útil per depurar.

    --version
        mostra el número de versió del programa i surt

Author
Kovid Goyal

Copyright
Kovid Goyal